- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_device_trust – Manage the trust relationships between BIG-IPs

New in version 2.5.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manage the trust relationships between BIG-IPs. Devices, once peered, cannot be updated. If updating is needed, the peer must first be removed before it can be re-added to the trust.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
peer_hostname string |  | The hostname that you want to associate with the device. This value will be used to easily distinguish this device in BIG-IP configuration. When trusting a new device, if this parameter is not specified, the value of `peer_server` will be used as a default.
peer_password string |  | The password of the API username of the remote peer device that you are trusting. If this value is not specified, then the value of `password`, or the environment variable `F5_PASSWORD` will be used.
peer_server string / required |  | The peer address to connect to and trust for synchronizing configuration. This is typically the management address of the remote device, but may also be a Self IP.
peer_user string |  | The API username of the remote peer device that you are trusting. Note that the CLI user cannot be used unless it too has an API account. If this value is not specified, then the value of `user`, or the environment variable `F5_USER` will be used.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
state string | Choices: absent present ← | When `present`, ensures the specified devices are trusted. When `absent`, removes the device trusts.
type string | Choices: peer ← subordinate | Specifies whether the device you are adding is a Peer or a Subordinate. The default is `peer`. The difference between the two is a matter of mitigating risk of compromise. A subordinate device cannot sign a certificate for another device. In the case where the security of an authority device in a trust domain is compromised, the risk of compromise is minimized for any subordinate device. Designating devices as subordinate devices is recommended for device groups with a large number of member devices, where the risk of compromise is high.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Add trusts for all peer devices to Active device
      bigip_device_trust:
        peer_server: "{{ item.ansible_host }}"
        peer_hostname: "{{ item.inventory_hostname }}"
        peer_user: "{{ item.bigip_username }}"
        peer_password: "{{ item.bigip_password }}"
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      loop: hostvars
      when: inventory_hostname in groups['master']
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
peer_hostname string | changed | The remote hostname used to identify the trusted peer. Sample: test-bigip-02.localhost.localdomain
peer_server string | changed | The remote IP address of the trusted peer. Sample: 10.0.2.15

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.